> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyra.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post Staff Logbook

<Info>
  There is a more advanced version of this endpoint that allows for uploading
  files and videos.

  However, this API uses multipart encoding instead of JSON,
  so it has been omitted from this documentation and the Swagger reference.
</Info>


## OpenAPI

````yaml post /staff/logbook/{workspaceId}/{staffId}
openapi: 3.0.3
info:
  title: Hyra API
  description: Hyra Monolythic API
  version: 2.0.0
servers:
  - url: https://api.hyra.io
security: []
paths:
  /staff/logbook/{workspaceId}/{staffId}:
    post:
      tags:
        - Staff
      parameters:
        - schema:
            type: string
          in: path
          name: workspaceId
          required: true
        - schema:
            type: string
          in: path
          name: staffId
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                message:
                  type: string
                type:
                  type: string
                  enum:
                    - promotion
                    - note
                    - demotion
                    - warning
                    - termination
                    - suspension
                    - warning revocation
                    - reminder
                    - deprovisioned
                expiry:
                  type: string
                  format: date-time
              required:
                - message
                - type
        required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  _id:
                    type: string
                  author:
                    type: string
                  workspace:
                    type: string
                  staff_id:
                    type: string
                  type:
                    type: string
                  message:
                    type: string
                  files:
                    type: array
                    items:
                      type: string
                  videos:
                    type: array
                    items:
                      type: string
                  expired:
                    type: boolean
                  expiration:
                    type: string
                  createdAt:
                    type: string
                    format: date-time
                  updatedAt:
                    type: string
                    format: date-time
                required:
                  - _id
                  - author
                  - workspace
                  - staff_id
                  - type
                  - message
                  - files
                  - videos
                  - createdAt
                  - updatedAt
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````